package cn.com.ctop.kuaishou.modules.batch.service.impl;

import cn.com.ctop.kuaishou.modules.batch.mapper.KwaixiaodianInfoMapper;
import cn.com.ctop.kuaishou.modules.batch.service.IKwaixiaodianInfoService;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class KwaixiaodianInfoServiceImpl implements IKwaixiaodianInfoService {
    @Autowired
    private KwaixiaodianInfoMapper kwaixiaodianInfoMapper;

    @Override
    public List<JSONObject> getSkuList(Long startDate, Long endDate) {
        return kwaixiaodianInfoMapper.getSkuList(startDate, endDate);
    }

    @Override
    public List<JSONObject> getCleanDate(Long date) {
        return kwaixiaodianInfoMapper.getCleanDate(date);
    }

    @Override
    public void deleteByDate() {
        kwaixiaodianInfoMapper.deleteByDate();
    }
}
